package com.bytedance.android.livesdk.livesetting.other;

import X.C3680GwD;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_feed_preload")
public final class LiveFeedPreloadSetting {
    @Group(isDefault = true, value = "default group")
    public static final C3680GwD DEFAULT = new C3680GwD();
    public static final LiveFeedPreloadSetting INSTANCE = new LiveFeedPreloadSetting();

    public final C3680GwD getValue() {
        C3680GwD gwD = (C3680GwD) SettingsManager.INSTANCE.getValueSafely(LiveFeedPreloadSetting.class);
        if (gwD == null) {
            return DEFAULT;
        }
        return gwD;
    }

    static {
        Covode.recordClassIndex(18062);
    }
}
